Skip to content

Create event summaries

Request

Create event summaries for a user. Event summaries are used to track the number of times an event has occurred, the first time it occurred and the last time it occurred.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
user_idstring

Your identifier for the user.

Example:"314159"
event_summariesobject

A list of event summaries for the user. Each event summary should contain the event name, the time the event occurred, and the number of times the event occurred. The event name should be a past tense 'verb-noun' combination, to improve readability, for example updated-plan.

curl -i -X POST \
  https://api.intercom.io/events/summaries \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "user_id": "314159",
    "event_summaries": {
      "event_name": "invited-friend",
      "count": 1,
      "first": 1671028894,
      "last": 1671028894
    }
  }'

Responses

successful

Response
No content